# Application Fees Application Fees ## Creates a new application fee record that does not already exist. - [POST /applicationFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/application-fees/createapplicationfee.md): This method will auto-generate an ID and create a new application fee. If an ID is specified for the application fee, an error will be thrown. ## Returns a list of records with the specified award_id - [GET /applicationFees/{tenantId}/award/{award_id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/application-fees/listfeesbyawardid.md): Returns a list of records with the specified award_id ## Execute Batch Operations - [POST /applicationFees/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/application-fees/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a application fee from the system by its ID. - [DELETE /applicationFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/application-fees/deleteapplicationfee.md): This method will delete a application fee with the specified ID. ## Returns a application fee from the system by its ID. - [GET /applicationFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/application-fees/getapplicationfee.md): This method will look up a application fee by the specified ID and return it back. ## Partially updates a application fee with the specified ID. - [PATCH /applicationFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/application-fees/patchapplicationfee.md): This method will patch an existing application fee with the specified ID, using the HTTP PATCH specification. ## Updates a application fee with the specified ID. - [PUT /applicationFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/application-fees/updateapplicationfee.md): This method will update an existing application fee with the specified ID.